- Qt 6.8
- Qt Test
- Obsolete Members for QTest
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QTest

The following members of class QTest are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Macros

`(deprecated in 6.3)` | QVERIFY_EXCEPTION_THROWN(expression, exceptiontype)
`(deprecated)` | QWARN(message)

## Macro Documentation

### `[deprecated in 6.3]` QVERIFY_EXCEPTION_THROWN(expression, exceptiontype)

This macro is deprecated since 6.3. We strongly advise against using it in new code.

Use `QVERIFY_THROWS_EXCEPTION(exceptiontype, expression)` instead.

### `[deprecated]` QWARN(message)

This macro is deprecated. We strongly advise against using it in new code.

Use qWarning() instead.

Appends message as a warning to the test log. This macro can be used anywhere in your tests.

Note: This macro is thread-safe.